spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From René Treffer <rtref...@gmail.com>
Subject Spark master broken?
Date Sun, 12 Jul 2015 10:49:21 GMT
Hi *,

I'm currently trying to build master but it fails with

 [error] Picked up JAVA_TOOL_OPTIONS:
> -javaagent:/usr/share/java/jayatanaag.jar
> [error]
> /home/rtreffer/work/spark-master/sql/catalyst/src/main/java/org/apache/spark/sql/execution/UnsafeExternalRowSorter.java:135:
>
> error: <anonymous
> org.apache.spark.sql.execution.UnsafeExternalRowSorter$1> is not abstract
> and does not override abstract method <B>
> minBy(Function1<InternalRow,B>,Ordering<B>) in TraversableOnce
> [error]       return new AbstractScalaRowIterator() {
> [error]                                             ^
> [error]   where B,A are type-variables:
> [error]     B extends Object declared in method
> <B>minBy(Function1<A,B>,Ordering<B>)
> [error]     A extends Object declared in interface TraversableOnce
> [error] 1 error
> [error] Compile failed at Jul 12, 2015 12:17:56 PM [20.565s]
> [INFO]
> ------------------------------------------------------------------------
> [INFO] Reactor Summary:
> [INFO]
> [INFO] Spark Project Parent POM .......................... SUCCESS
> [6.094s]
> [INFO] Spark Project Core ................................ SUCCESS
> [2:52.035s]
> [INFO] Spark Project Bagel ............................... SUCCESS
> [22.506s]
> [INFO] Spark Project GraphX .............................. SUCCESS
> [19.076s]
> [INFO] Spark Project ML Library .......................... SUCCESS
> [1:15.520s]
> [INFO] Spark Project Tools ............................... SUCCESS
> [2.041s]
> [INFO] Spark Project Networking .......................... SUCCESS
> [8.741s]
> [INFO] Spark Project Shuffle Streaming Service ........... SUCCESS
> [7.298s]
> [INFO] Spark Project Streaming ........................... SUCCESS
> [29.154s]
> [INFO] Spark Project Catalyst ............................ FAILURE
> [21.048s]
>
>
 I've tried to build for 2.11 and 2.10 without success. Is there a known
issue on master?

Regards,
  Rene Treffer

Mime
View raw message